## org.apache.mahout.classifier.sgd
Class AdaptiveLogisticRegression.TrainingExample

    java.lang.Object
      org.apache.mahout.classifier.sgd.AdaptiveLogisticRegression.TrainingExample

Enclosing class:
  AdaptiveLogisticRegression

    public static class AdaptiveLogisticRegression.TrainingExample

extends java.lang.Object

Constructor Summary
`AdaptiveLogisticRegression.TrainingExample(long key, java.lang.String groupKey, int actual, Vector instance)`

Method Summary
`int` `getActual()`
`java.lang.String` `getGroupKey()`
`Vector` `getInstance()`
`long` `getKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveLogisticRegression.TrainingExample

    public AdaptiveLogisticRegression.TrainingExample(long key,
                                                      java.lang.String groupKey,
                                                      int actual,
                                                      Vector instance)

Method Detail

### getKey

    public long getKey()

### getActual

    public int getActual()

### getInstance

    public Vector getInstance()

### getGroupKey

    public java.lang.String getGroupKey()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.